Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Class XDSAuthenticationInfoElement

    java.lang.Object
      com.novell.nds.dirxml.driver.xds.ElementImpl
          com.novell.nds.dirxml.driver.xds.XDSAuthenticationInfoElement

All Implemented Interfaces:
  ParamParent, XDSElement

public class XDSAuthenticationInfoElement
extends ElementImpl
implements ParamParent

An `<authentication-info>` element.

See Also:
  `XDSInitParamsElement.extractAuthenticationInfoElement()`

Method Summary
`List` | `childElements()` Returns this element's child elements.
`XDSPasswordElement` | `extractPasswordElement()` Returns this element's child `<password>` element.
`String` | `extractPasswordText()` Returns the concatenated child text nodes from this element's child `<password>` element.
`XDSServerElement` | `extractServerElement()` Returns this element's child `<server>` element.
`String` | `extractServerText()` Returns the concatenated child text nodes from this element's child `<server>` element.
`XDSUserElement` | `extractUserElement()` Returns this element's child `<user>` element.
`String` | `extractUserText()` Returns the concatenated child text nodes from this element's child `<user>` element.
`ParamElement` | `paramElement(String tagName)` Returns this element's child parameter element with a tag name equal to `tagName`.
`void` | `parameters(Map params)` Extracts parameter values from this element's child elements.
`String` | `paramText(String tagName)` Returns the concatenated child text nodes from this element's child parameter element with a tag name equal to `tagName`.

Methods inherited from class com.novell.nds.dirxml.driver.xds.ElementImpl
`attributeValueGet, attributeValueGet, attributeValueSet, documentImpl, domDocument, domElement, localName, namespaceName, position, tagName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.novell.nds.dirxml.driver.xds.XDSElement
`attributeValueGet, attributeValueGet, attributeValueSet, domDocument, domElement, localName, namespaceName, position, tagName`

Method Detail

### extractServerElement

    public XDSServerElement extractServerElement()

  Returns this element's child `<server>` element.

  Invocation Context:
    READ

  Returns:
    may be `null`

### extractServerText

    public String extractServerText()

  Returns the concatenated child text nodes from this element's child `<server>` element.

  Invocation Context:
    READ

  Returns:
    may be `null`; will not return `""`

### extractUserElement

    public XDSUserElement extractUserElement()

  Returns this element's child `<user>` element.

  Invocation Context:
    READ

  Returns:
    may be `null`

### extractUserText

    public String extractUserText()

  Returns the concatenated child text nodes from this element's child `<user>` element.

  Invocation Context:
    READ

  Returns:
    may be `null`; will not return `""`

### extractPasswordElement

    public XDSPasswordElement extractPasswordElement()

  Returns this element's child `<password>` element.

  Invocation Context:
    READ

  Returns:
    may be `null`

### extractPasswordText

    public String extractPasswordText()

  Returns the concatenated child text nodes from this element's child `<password>` element.

  Invocation Context:
    READ

  Returns:
    may be `null`; will not return `""`

### childElements

    public List childElements()

  Returns this element's child elements.

  Usage Notes:
    The types of objects returned by this method may be extended in the future. Thus, callers should be able to handle object types other than those listed in the returns field below.
  Invocation Context:
    READ

  Specified by:
    `childElements` in interface `XDSElement`
  Overrides:
    `childElements` in class `ElementImpl`
  Returns:
    `Collections.EMPTY_LIST` or a list of `XDSServerElement`, `XDSUserElement`, `XDSPasswordElement`, and `NonXDSElement` objects; will not return `null`

### paramElement

    public ParamElement paramElement(String tagName)
                              throws XDSParameterException

  Description copied from interface: `ParamParent`
  Returns this element's child parameter element with a tag name equal to `tagName`.

  Invocation Context:
    READ

  Specified by:
    `paramElement` in interface `ParamParent`
  Parameters:
    `tagName` - may be `null`
  Returns:
    may be `null`
  Throws:
    `XDSParameterException` - if parameter tag names are not unique

### paramText

    public String paramText(String tagName)
                     throws XDSParameterException

  Description copied from interface: `ParamParent`
  Returns the concatenated child text nodes from this element's child parameter element with a tag name equal to `tagName`.

  Invocation Context:
    READ

  Specified by:
    `paramText` in interface `ParamParent`
  Parameters:
    `tagName` - may be `null`
  Returns:
    may be `null`; will not return `""`
  Throws:
    `XDSParameterException` - if parameter tag names are not unique

### parameters

    public void parameters(Map params)
                    throws XDSParameterException

  Description copied from interface: `ParamParent`
  Extracts parameter values from this element's child elements.

  Invocation Context:
    READ

  Specified by:
    `parameters` in interface `ParamParent`
  Parameters:
    `params` - the map of `Parameter`s to extract; must not be `null`
  Throws:
    `XDSParameterException` - if parameter tag names are not unique or if a parameter constraint is violated

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD